--- ========================================================= ---
---  Setup Revision, Version, Date and add to AceLibrary
--- ========================================================= ---
local VERSION = tonumber(("$Revision: 44107 $"):match("%d+"))

local Sphere = Sphere
Sphere_ClassModule_Warrior = Sphere:NewModule("ClassModule_Warrior", "AceEvent-2.0")
local self = Sphere_ClassModule_Warrior
if Sphere.revision < VERSION then
	Sphere.version = "r" .. VERSION
	Sphere.revision = VERSION
	Sphere.date = ("$Date: 2007-07-18 15:15:25 -0400 (Wed, 18 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end
Sphere.desc = "Warrior Class Module"

--- ========================================================= ---
---  Setup Locals
--- ========================================================= ---
local L = Sphere:L("Sphere_ClassModule_Warrior")

local data = {
}

--- ========================================================= ---
---  On Intitalize / Setup Database
--- ========================================================= ---
function Sphere_ClassModule_Warrior:OnInitialize()
	self.db = Sphere:AcquireDBNamespace("ClassModule_Warrior")
	Sphere:RegisterDefaults("ClassModule_Warrior", "char", {
		settings = {
		},
	})

	Sphere_ClassModule_Warrior:CheckClass()
end

--- ========================================================= ---
---  Setup Options
--- ========================================================= ---

--- ========================================================= ---
---  On Enable
--- ========================================================= ---
function Sphere_ClassModule_Warrior:OnEnable()
end

--- ========================================================= ---
---  On Disable
--- ========================================================= ---
function Sphere_ClassModule_Warrior:OnDisable()
	self:UnregisterAllEvents();
end

--- ========================================================= ---
---  Check Class
--- ========================================================= ---
function Sphere_ClassModule_Warrior:CheckClass()
	local playerClass, englishClass = UnitClass("player");
	if englishClass ~= "WARRIOR" then
		Sphere:ToggleModuleActive("ClassModule_Warrior", false)
	else
		Sphere:ToggleModuleActive("ClassModule_Warrior", true)
	end
end